[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkedRecordEnumeratorOptions

Enumeration with option values for the bookmarked record enumerator.

## Declaration

Source position: dbgrids.pas line 132

`type TBookmarkedRecordEnumeratorOptions = set of (`
`breDisableDataset,` |  | Disables controls attached to the dataset.
`breStopOnInvalidBookmark,` |  | Stops enumerating when an invalid bookmark is encountered.
`breRestoreCurrent` |  | Restores the current bookmark when exiting the enumerator.
`);`

## Description

TBookmarkedRecordEnumeratorOptions is a set type with option values that control the actions performed in TBookmarkedRecordEnumerator. TBookmarkedRecordEnumeratorOptions is the type used to implement the TBookmarkedRecordEnumerator.Options property.

## See also

TBookmarkedRecordEnumerator |  | Defines a bookmarked record enumeration class.